package ru.dbotthepony.mc.otm.datagen.loot

import net.minecraft.world.item.Items
import net.minecraft.world.level.storage.loot.entries.LootItem
import net.minecraft.world.level.storage.loot.parameters.LootContextParamSets
import net.minecraft.world.level.storage.loot.providers.number.ConstantValue
import ru.dbotthepony.mc.otm.datagen.modLocation
import ru.dbotthepony.mc.otm.registry.MItems

fun addChestLootTables(loot: LootTables) {
	loot.builder(LootContextParamSets.CHEST, modLocation("food_box")) {
		lootPool {
			add(LootItem.lootTableItem(Items.PACKED_ICE).setCount(minimal = 1, maximal = 3))
			add(LootItem.lootTableItem(MItems.NUTRIENT_PASTE).setCount(minimal = 1, maximal = 2))
			add(LootItem.lootTableItem(Items.SNOWBALL).setCount(minimal = 1, maximal = 5))

			setRolls(ConstantValue.exactly(3f))
		}
	}
}
